<div class="content-header row">
    <div class="content-header-left col-md-9 col-12 mb-2">
      <div class="row breadcrumbs-top">
        <div class="col-12">
          <h2 class="content-header-title float-left mb-0">Liste des Compagnies</h2>
        
        </div>
      </div>
    </div>
    <div class="content-header-right text-md-right col-md-3 col-12 d-md-block d-none">
      <div class="form-group breadcrum-right">
        <div class="dropdown">
          <button class="btn-icon btn btn-primary btn-round btn-sm dropdown-toggle waves-effect waves-light" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><i class="feather icon-settings"></i></button>
          <div class="dropdown-menu dropdown-menu-right"><a class="dropdown-item" href="#">Chat</a><a class="dropdown-item" href="#">Email</a><a class="dropdown-item" href="#">Calendar</a></div>
        </div>
      </div>
    </div>
  </div>
  <section id="data-thumb-view" class="data-thumb-view-header">
    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h4 class="card-title"></h4>
                </div>
                <div class="card-content">
  
                    <div class="card-body card-dashboard">
  
                        <div class="table-responsive">
                          <a  [routerLink]="['/creation_compagnie']" class="btn mr-1 mb-1 btn-outline-primary btn-sm waves-effect waves-light" style=" margin-left: 2px;">Nouveau Compagnie</a>

                            <table class="table zero-configuration table-striped" >
                              <thead>
                                <tr>
                                  <th>Statut</th>
                                  <th>Compagnie</th>
                                  <th>Email</th>
                                  <th>Username</th>
                                  <th>Specialité</th>
                                  <th>Tel</th>
                                  <th>Site web</th>
                                  <th>ACTION</th>
                                </tr>
                              </thead>
                              <tbody>
                                
                                
                                <tr *ngFor="let u of compagnies; index as i">
                                  <td>

                                    <div class="chip chip-warning" *ngIf="u.status ==='Indisponible'">
                                      <div class="chip-body">
                                        <div class="chip-text">{{u.status}}</div>
                                      </div>
                                    </div>
                                    <div class="chip chip-success" *ngIf="u.status ==='Actifs'">
                                      <div class="chip-body">
                                        <div class="chip-text">{{u.status}}</div>
                                      </div>
                                    </div>
                                  </td>
                                  <td class="product-category">{{u.nom}}</td>
                                  <td class="product-category">{{u.email}}</td>
                                  <td class="product-category">{{u.username}}</td>
                                  <td class="product-category">{{u.specialite}}</td>
                                  <td class="product-category">{{u.tel}}</td>
                                  <td class="product-category">{{u.siteWeb}}</td>
                                  <td class="product-action">
                                    
                        
                                    <div class="dropdown">
                                     <a class="dropdown-toggle" data-toggle="dropdown" href="#" aria-expanded="false"></a>
                                     <div class="dropdown-menu dropdown-menu-right">
                                      <a class="dropdown-item" href="#" data-toggle="modal" [attr.data-target]="'#modifier' + i"><i class="feather icon-edit" style="color:blue;"></i>Modifier</a>
                         
                                       <a class="dropdown-item" href="#" data-toggle="modal" (click)="deletePopup(u.id,u.nom)"><i class=" feather icon-trash" style="color: red;"></i>Supprimer</a>
                                     </div>
                                   </div>
                                   
                                   </td>

                                   <div class="modal modal-danger fade" id="supprimer{{i}}">
                                    <div class="modal-dialog " role="document">
                                      <div class="modal-content">
                                        <div class="modal-header">
                                          <h4 class="modal-title" id="myModalLabel4">Suppression Compagnie </h4>
                                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                          </button>
                                        </div>
                                        <div class="modal-body">
                                          <p>
                                          Voulez vous supprimer  Compagnie {{ u.nom }}
                                          </p>
                                        </div>
                                        <div class="modal-footer">
                                          <button type="button" class="btn btn-primary waves-effect waves-light" data-dismiss="modal" (click)="delete(u.id)">Supprimer</button>
                                        </div>
                                      
                                      </div>
                                      <!-- /.modal-content -->
                                    </div>
                                    <!-- /.modal-dialog -->
                                  </div>
                                
                                  <div class="modal modal-danger fade" id="modifier{{i}}">
                                    <div class="modal-dialog " role="document">
                                      <div class="modal-content" style="width:700px">
                                        <div class="modal-header">
                                          <h4 class="modal-title" id="myModalLabel4">Modifier Compagnie </h4>
                                          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">×</span>
                                          </button>
                                        </div>
                                        <div class="modal-body">
                                               
                                          
                                          
                                          
                                                <div class="card-body">
                                                  
                                                  
                                                      <form novalidate #f="ngForm" (ngSubmit)="update(f.value)">
                                                        <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="InvalidFrom" >
                                                          <i class="feather icon-info mr-1 align-middle"></i>
                                                          <span>{{InvalidFrom}}</span>
                                                        </div>
                                                        <div class="row">
                                                          <div class="col-12 col-sm-6">
                                                            <div class="form-group">
                                                              <input type="hidden" name="id" #id="ngModel" [(ngModel)]="u.id">

                                                              <div class="controls">
                                                                <label>Nom Compagnie</label>
                                                                <input type="text" class="form-control" placeholder="Nom Compagnie" name="nom" #nom="ngModel" [(ngModel)]="u.nom"  required>
                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="nom.touched && nom.invalid">
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>Nom de Compagnie Obligatoire</span>
                                                                </div>
                                                              </div>
                                                            </div>
                                                            <div class="form-group">
                                                              <div class="controls">
                                                                <label>E-mail</label>
                                                                <input type="email" class="form-control" placeholder="email" name="email" #email="ngModel" [(ngModel)]="u.email" disabled>
                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="email.touched && email.invalid">
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>Email Obligatoire et doit étre de type email</span>
                                                                </div>
                                                              </div>
                                                            </div>
                                                            <div class="form-group">
                                                              <label>Specialié de la Compagnie</label>
                                                              <select class="form-control" name="specialite" #specialite="ngModel" [(ngModel)]="u.specialite" required>
                                                                <option>Choisir specialité compagnie</option>
                                                                <option>Auto</option>
                                                                <option>Risque industrielle</option>
                                                              </select>
                                                              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="specialite.touched && specialite.invalid">
                                                                <i class="feather icon-info mr-1 align-middle"></i>
                                                                <span>Spécialité Obligatoire</span>
                                                              </div>
                                                            </div>
                                                            <div class="form-group">
                                                              <div class="controls">
                                                                <label>Code indentifiant:</label>
                                                                <input type="text" class="form-control" placeholder="Code indentifiant" name="name" #name="ngModel" [(ngModel)]="u.username">
                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="name.touched && name.invalid">
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>Code  Obligatoire</span>
                                                                </div>
                                                              </div>
                                                            </div>
                                          
                                          
                                                          </div>
                                                          <div class="col-12 col-sm-6">
                                          
                                                            <div class="form-group">
                                                              <div class="controls">
                                                                <label>Site web:</label>
                                                                <input type="text" class="form-control" placeholder="Site web"  name="siteWeb" #siteWeb="ngModel" [(ngModel)]="u.siteWeb" required>
                                                              </div>
                                                              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="siteWeb.touched && siteWeb.invalid">
                                                                <i class="feather icon-info mr-1 align-middle"></i>
                                                                <span>Site Web Obligatoire</span>
                                                              </div>
                                                            </div>
                                        
                                                            <div class="form-group">
                                                              <div class="controls">
                                                                <label>Tel</label>
                                                                <input type="text" class="form-control" placeholder="tel" name="tel" #tel="ngModel" [(ngModel)]="u.tel" required>
                                                              </div>
                                                              <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="tel.touched && tel.invalid">
                                                                <i class="feather icon-info mr-1 align-middle"></i>
                                                                <span>Téléphone Obligatoire</span>
                                                              </div>
                                                            </div>
                                          
                                                            <div class="form-group">
                                                              <label>Statuts</label>
                                                              <select class="form-control" name="status" #status="ngModel" [(ngModel)]="u.status" required>
                                                                <option>Choisir Statuts </option>
                                                                <option>Actifs</option>
                                                                <option>Indisponible</option>
                                                              </select>
                                                            </div>
                                                              <div class="form-group">
                                                              <label>Mot de passe:</label>
                                                              <input type="password" class="form-control" name="password" #password="ngModel" [(ngModel)]="u.password" required
                                                                placeholder="Mot de passe">
                                                                <div class="alert alert-danger mt-1 alert-validation-msg" role="alert" *ngIf="password.touched && password.invalid">
                                                                  <i class="feather icon-info mr-1 align-middle"></i>
                                                                  <span>mot de passe Obligatoire</span>
                                                                </div>
                                                              </div>
                                                           
                                                           
                                                          </div>
                                                          
                                                          
                                                        </div>
                                                        <hr>
                                                        <button type="submit" class="btn btn-primary glow mb-1 mb-sm-0 mr-0 mr-sm-1" style=" margin-left: 480px;"[disabled]="f.invalid">Modifier Compagnie</button>

                                                      </form>
                  
                                                </div>

                                        </div>
                                        
                                      
                                      </div>
                                      <!-- /.modal-content -->
                                    </div>
                                    <!-- /.modal-dialog -->
                                  </div>

                                </tr>
                                
                                     </tbody>
                                
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- dataTable ends -->
  
    <!-- add new sidebar starts -->
   
  
  
    
    <!-- add new sidebar ends -->
  </section>
 